共有申請したテンプレートが不承認でした

  • このエントリーをはてなブックマークに追加
  • Pocket
【不承認理由】
・広告周りのCSS改変は原則として認められないため。
#ovtAdContainerのスタイルを削除してください。

・ie7にて表示の崩れがあるため


1個目の広告周りがうんぬんの問題はひっかかるかなーと思っていたら案の定引っかかりました。
記事の下に表示される広告にマウスをホバーさせると広告テキストが背景の色とかぶって見難くなるのでCSSでIDを指定しテキストの色を別のものに指定したのでした。
良かれと思ってやったのですがやはり広告周りはいじっちゃダメだよということでした。


2つ目。

ie7・・・・????
なにそれおいしいの?

というのは冗談だけど、ie7にも対応させなきゃいけなかったとは知りませんでした。(だって色々大変・・・
まだ一応ユーザーはいるみたいですからね…

確かにIE10の開発者ツール(F12)を使ってブラウザモード7、ドキュメントモード7で見てみると要素の重なりとかあって表示が崩れていました。
html5の新要素に対応させるスクリプトは入れていたけどそれだけじゃたりなかった様。
新たにCSS3にも対応させられるスクリプトも読み込ませるけどそれでも要素が重なってる部分の順序がおかしい。あとソーシャルボタンの一覧もはちゃめちゃ。

仕方ないのでHTML上で

<!--[if gt IE 8 | !IE ]><!-->
~ほにゃらら~
<![endif]-->

とか

<!--[if lt IE 9]>
~ほにゃらら~
<![endif]-->


を使ったり、ie8以下でのみCSSを変更して重なり部分をずらし重ならないようにしました。
上の[if gt IE 8 | !IE ]というのは「IE9以上またはIEじゃない場合」というものです。
[if lt IE 9]は「IE8以下の場合」

そしてソーシャルボタンに関してはどうしても正常に表示できないためIE8以下では思い切って表示しないようにしました。
IE7とか使ってる人がSNSなんてやってないだろうと思ったので。決してディスっていません。


とりあえずこれで正常にIE7,8上でも閲覧することができると思うので再申請します。

今回のテンプレートはかなりアレです。
特殊なユーザー層を狙っています。
どうなることやら。


あとトップページでソーシャルボタンのJavascriptを記事毎に読み込んでいたあほ仕様を修正しました。
それに加え非同期読み込みするようにもしました。
多少軽くなったと思われます。



MicrosoftはIE6に続きゾンビブラウザのIE7も8もサポートきってしまええええ。
関連記事

Amazon.co.jpアソシエイト

  • このエントリーをはてなブックマークに追加
  • Pocket

テンプレート「nSystem」の説明・使い方次の記事

また新しいデザインに前の記事

comment iconコメント

コメントの投稿



trackback iconトラックバック

トラックバックURL:

この記事にトラックバックする(FC2ブログユーザー)